var isAppForeground = true;
function initAds() {
      if (admob) {
        var adPublisherIds = {
		android : {
		banner : "ca-app-pub-9720457857793552~8890008621",
		interstitial : "ca-app-pub-9720457857793552/1366741829"
		}
	};
	var admobid = (/(android)/i.test(navigator.userAgent)) ? adPublisherIds.android : adPublisherIds.ios;
    admob.setOptions({
		publisherId:      admobid.banner,
		interstitialAdId: admobid.interstitial,
		autoShowInterstitial: false,
		autoShowBanner:false,
		isTesting: false
	});
	registerAdEvents();
	} else {
	//alert('AdMobAds plugin not ready');
	}
}
function onAdLoaded(e) {
	if (isAppForeground) {
		if (e.adType === admob.AD_TYPE.INTERSTITIAL) {
			$_gads = true;
			//$('#estado').text("dentro: "+$_gads);
		}
	}
}
function onAdClosed(e) {
  if (isAppForeground) {
    if (e.adType === admob.AD_TYPE.INTERSTITIAL) {
      setTimeout(admob.requestInterstitialAd, 1000 * 60 * 2);
    }
  }
}
function registerAdEvents() {
	document.addEventListener(admob.events.onAdLoaded, onAdLoaded);
	document.addEventListener(admob.events.onAdFailedToLoad, function (e) {});
	document.addEventListener(admob.events.onAdOpened, function (e) {});
	document.addEventListener(admob.events.onAdClosed, onAdClosed);
	document.addEventListener(admob.events.onAdLeftApplication, function (e) {});
	document.addEventListener(admob.events.onInAppPurchaseRequested, function (e) {});
}
//
function onPause() {
  if (isAppForeground) {
    admob.destroyBannerView();
    isAppForeground = false;
  }
}

function onResume() {
  if (!isAppForeground) {
    setTimeout(admob.createBannerView, 1);
    setTimeout(admob.requestInterstitialAd, 1);
    isAppForeground = true;
  }
}
function onBackKeyDown(){
    return false;
}